%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global upname flask-sphinx-themes
%global commitdate 20130715
%global commit 1cc44686f0f9dad27cce2c9d16cf42f97bc87dbd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		python-sphinx-theme-flask
Version:	git%{commitdate}.%{shortcommit}
Release:	15%{?dist}
Summary:	Sphinx Themes for Flask related projects and Flask itself
%{?el5:Group:	Applications/Publishing}

License:	BSD
URL:		https://github.com/mitsuhiko/%{upname}
Source0:	%{url}/archive/%{commit}/%{name}-%{version}.tar.gz

%{?el5:BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)}
BuildArch:	noarch
BuildRequires:	python2-devel

%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:	python3-devel
%endif

%global _description\
%{name} contains\
%{summary}.\
\
The following themes exist:\
\
 * flask - the standard flask documentation theme for large projects\
 * flask_small - small one-page theme.  Intended to be used by very small\
addon libraries for flask.\


%description %_description

%package -n python2-sphinx-theme-flask
Summary: %summary
Requires:	python2-sphinx
%{?python_provide:%python_provide python2-sphinx-theme-flask}

%description -n python2-sphinx-theme-flask %_description

%if 0%{?fedora} || 0%{?rhel} >= 7
%package -n python3-sphinx-theme-flask
Summary:	Sphinx Themes for Flask related projects and Flask itself
Requires:	python3-sphinx

%description -n python3-sphinx-theme-flask
%{name} contains
%{summary}.

The following themes exist:

 * flask - the standard flask documentation theme for large projects
 * flask_small - small one-page theme.  Intended to be used by very small
addon libraries for flask.
%endif


%prep
%setup -qn %{upname}-%{commit}


%build
#noop


%install
%{?el5:rm -rf %{buildroot}}
mkdir -p %{buildroot}%{python_sitelib}/sphinx/themes
cp -pr flask* %{buildroot}%{python_sitelib}/sphinx/themes

%if 0%{?fedora} || 0%{?rhel} >= 7
mkdir -p %{buildroot}%{python3_sitelib}/sphinx/themes
cp -pr flask* %{buildroot}%{python3_sitelib}/sphinx/themes
%endif



%files -n python2-sphinx-theme-flask
%doc LICENSE README
%{python_sitelib}/sphinx/themes/*

%if 0%{?fedora} || 0%{?rhel} >= 7
%files -n python3-sphinx-theme-flask
%doc LICENSE README
%{python3_sitelib}/sphinx/themes/*
%endif


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - git20130715.1cc4468-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Miro Hrončok <mhroncok@redhat.com> - git20130715.1cc4468-14
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - git20130715.1cc4468-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - git20130715.1cc4468-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - git20130715.1cc4468-11
- Python 2 binary package renamed to python2-sphinx-theme-flask
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - git20130715.1cc4468-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - git20130715.1cc4468-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - git20130715.1cc4468-8
- Rebuild for Python 3.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - git20130715.1cc4468-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - git20130715.1cc4468-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - git20130715.1cc4468-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - git20130715.1cc4468-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - git20130715.1cc4468-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Aug 12 2013 Björn Esser <bjoern.esser@gmail.com> - git20130715.1cc4468-2
- added python3-package

* Mon Aug 12 2013 Björn Esser <bjoern.esser@gmail.com> - git20130715.1cc4468-1
- Initial rpm release (#996061)
